searchNodes=[{"doc":"PasswordlessAuth provides functionality for generating numeric codes that can be used for verifying a user's ownership of a phone number, email address or any other identifying address.It is designed to be used in a verification system, such as a passwordless authentication flow or as part of multi-factor authentication (MFA).","ref":"PasswordlessAuth.html","title":"PasswordlessAuth","type":"module"},{"doc":"Generates a verification code for the given recipient. The code is a string of numbers that is code_length characters long (defaults to 6).The verification code is valid for the number of seconds given to the verification_code_ttl config option (defaults to 300)Arguments:recipient: A reference to the recipient of the code. This is used for verifying the code with verify_code/2code_length: The length of the code. Defaults to 6.Returns the code.","ref":"PasswordlessAuth.html#generate_code/2","title":"PasswordlessAuth.generate_code/2","type":"function"},{"doc":"Removes a code from state based on the given recipientReturns {:ok, %VerificationCode{...}} or {:error, :reason}.","ref":"PasswordlessAuth.html#remove_code/1","title":"PasswordlessAuth.remove_code/1","type":"function"},{"doc":"Verifies that a the given recipient has the given attempt_code stored in state and that the code hasn't expired.Returns :ok or {:error, :reason}.Examplesiex&gt; PasswordlessAuth.verify_code(&quot;+447123456789&quot;, &quot;123456&quot;) {:error, :does_not_exist}","ref":"PasswordlessAuth.html#verify_code/2","title":"PasswordlessAuth.verify_code/2","type":"function"},{"doc":"","ref":"PasswordlessAuth.html#t:verification_failed_reason/0","title":"PasswordlessAuth.verification_failed_reason/0","type":"type"},{"doc":"Verification codes are stored in the PasswordlessAuth.Store Agent. This worker looks for expires verification codes at a set interval and removes them from the Agent state.The garbage collection interval is configurable with garbage_collector_frequency (defaults to 30 seconds).","ref":"PasswordlessAuth.GarbageCollector.html","title":"PasswordlessAuth.GarbageCollector","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"PasswordlessAuth.GarbageCollector.html#child_spec/1","title":"PasswordlessAuth.GarbageCollector.child_spec/1","type":"function"},{"doc":"Agent for storing verification codes","ref":"PasswordlessAuth.Store.html","title":"PasswordlessAuth.Store","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"PasswordlessAuth.Store.html#child_spec/1","title":"PasswordlessAuth.Store.child_spec/1","type":"function"},{"doc":"PasswordlessAuthPasswordlessAuth provides functionality that can be used in an authentication or verification system, such as a passwordless or multi-factor authentication flow, or for verifying a user's ownership of a phone number, email address or any other identifying address.Generate verification codesVerify a user's attempt at entering a codeRate limit attemptsExpire codesThis library doesn't deal with sending the codes to recipients. See Usage for example usage.","ref":"readme.html","title":"PasswordlessAuth","type":"extras"},{"doc":"Documentation is available at https://hexdocs.pm/passwordless_auth","ref":"readme.html#documentation","title":"PasswordlessAuth - Documentation","type":"extras"},{"doc":"Add :passwordless_auth to your list of dependencies in mix.exs:def deps do [ {:passwordless_auth, &quot;~&gt; 0.3.0&quot;} ] end","ref":"readme.html#installation","title":"PasswordlessAuth - Installation","type":"extras"},{"doc":"The following PasswordlessAuth config can be set in your config/config.exs file:config :passwordless_auth, # How long codes are valid for verification_code_ttl: 300, # seconds; default: 300 # Rate limiting: how many failed attempts are allowed before the timeout is applied num_attempts_before_timeout: 5, # default: 5 # Rate limiting: how long to disallow attempts after the limit has been reached rate_limit_timeout_length: 60, # seconds; default: 60 # How often to clear out expired codes garbage_collector_frequency: 30 # seconds; default: 30","ref":"readme.html#configuration","title":"PasswordlessAuth - Configuration","type":"extras"},{"doc":"Here's an example where the code is sent to a recipient's phone number using ExTwilio.1. Generate a verification code for the recipientUser enters their phone number to request a verification code.code = PasswordlessAuth.generate_code(&quot;+447123456789&quot;) =&gt; &quot;123456&quot;2. Send the code to the recipientThis library doesn't deal with SMS or emails, so this bit is up to you.ExTwilio.Message.create(%{ to: &quot;+447123456789&quot;, body: &quot;Your code is \#{code}&quot; })3. Verify the codeRecipient receives a text message with their verification code. They enter it into your system and you verify that it is correct.attempt_code = &quot;123456&quot; # The user&#39;s attempt at entering the correct verification code. PasswordlessAuth.verify_code( &quot;+447123456789&quot;, attempt_code )Returns true or false.Once a code has been verified, you can remove it so that it can't be used again before it expires.PasswordlessAuth.remove_code(&quot;+447123456789&quot;)","ref":"readme.html#usage","title":"PasswordlessAuth - Usage","type":"extras"}]